curl --request GET \
--url https://api.notifique.dev/v1/automations/{automationId}/runs/{runId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "<string>",
"workspaceId": "<string>",
"automationId": "<string>",
"contactId": "<string>",
"eventName": "<string>",
"payloadJson": {},
"status": "QUEUED",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"steps": [
{
"id": "<string>",
"stepKey": "<string>",
"stepKind": "TRIGGER",
"status": "PENDING",
"attempt": 1,
"createdAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"outputJson": {}
}
],
"sourceApiKeyId": "<string>",
"fireId": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.notifique.dev/v1/automations/{automationId}/runs/{runId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "<string>",
"workspaceId": "<string>",
"automationId": "<string>",
"contactId": "<string>",
"eventName": "<string>",
"payloadJson": {},
"status": "QUEUED",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"steps": [
{
"id": "<string>",
"stepKey": "<string>",
"stepKind": "TRIGGER",
"status": "PENDING",
"attempt": 1,
"createdAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"outputJson": {}
}
],
"sourceApiKeyId": "<string>",
"fireId": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}Authorization: Bearer sk_live_...
Cuid da automação.
Cuid da AutomationRun.
Was this page helpful?